Name:       gprbuild
Version:    2013
Release:    3%{?dist}
Summary:    Ada project builder
Group:      Development/Languages
License:    GPLv2+
URL:        http://libre.adacore.com
## Auth required
## Direct download is not available
Source0:    %{name}-gpl-%{version}-src.tgz
## Fedora specific
Patch1:     %{name}-%{version}-destdir.patch
## Fedora specific
Patch3:     %{name}-%{version}-usrmove.patch
Patch6:     %{name}-%{version}-remove_rpath.patch

BuildRequires:  xmlada-devel
BuildRequires:  gcc-gnat libgnat-static libgnat-devel
BuildRequires:  fedora-gnat-project-common >= 2
# xmlada and gcc-gnat only available on these:
ExclusiveArch: %{ix86} x86_64 ia64 ppc ppc64 alpha

%description
GPRbuild is an advanced software tool designed to help automate
the construction of multi-language systems.
It removes complexity from multi-language development by allowing
developers to quickly and easily compile and link software written
in a combination of languages including Ada, Assembler, C, C++, and Fortran.
Easily extendable by users to cover new toolchains and languages
it is primarily aimed at projects of all sizes organized into subsystems
and libraries and is particularly well-suited for compiled languages.


%prep
%setup -q -n %{name}-%{version}-src
%patch1 -p1 
%patch3 -p1 
%patch6 -p1 

%build
%configure --disable-rpath
make %{?_smp_mflags} LIBRARY_TYPE="relocatable" GNATOPTFLAGS="%{Gnatmake_optflags}" ADA_PROJECT_PATH=%_GNAT_project_dir

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_docdir}/%{name}
install -m0644 README %{buildroot}%{_docdir}/%{name}/
install -m0644 COPYING* %{buildroot}%{_docdir}/%{name}/
install -m0644 CHANGE*   %{buildroot}%{_docdir}/%{name}/
find %{buildroot}%{_docdir}/%{name}/examples -type f -exec chmod -x {} \;
find %{buildroot}%{_datadir}/gprconfig -type f -name "*.xml" -exec chmod -x {} \;
mv -f %{buildroot}%{_docdir}/%{name} %{buildroot}%{_docdir}/%{name}-%{version}

%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/gpr*
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/gpr*
%dir %{_datadir}/gprconfig
%{_datadir}/gprconfig/*
%_GNAT_project_dir/*

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 16 2013  Pavel Zhukov <landgraf@fedoraproject.org> - 2013-2
- rebuild with Fedora optflags (#984721)

* Sat Jul 13 2013  Pavel Zhukov <landgraf@fedoraproject.org> - 2013-1
- New release (2013)

* Fri Jan 25 2013   Pavel Zhukov <landgraf@fedoraproject.org> - 2012-4
- Rebuild with GCC 4.8 

* Tue Dec 18 2012  Pavel Zhukov <landgraf@fedoraproject.org> - 2012-3
- Rebuild for new xmlada

* Mon Dec 17 2012  Pavel Zhukov <landgraf@fedoraproject.org> - 2012-2
- Update to gprbuild 2012

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2011-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Julian Leyh <julian@vgai.de> - 2011-4
- Remove rpath from default configuration
- Make parsing of gcc version locale-independant

* Sun Mar 04 2012 Pavel Zhukov <landgraf@fedoraproject.org> - 2011-3
- Updated to 2011 (#722704)
- Add unreference patch

* Mon Feb 27 2012 Björn Persson <bjorn@rombobjörn.se> - 2011-1
- Patched to resolve the link /bin → /usr/bin.
- Removed a superfluous explicit dependency on xmlada.

* Sun Jul 17 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 2010-10
- Rebuld for xmlada 2011

* Thu Mar 24 2011 Dan Horák <dan[at]danny.cz> - 2010-8
- updated the supported arch list

* Fri Mar 11 2011 Pavel Zhukov <landgraf@fedoraproject.com> - 2010-7
- Fix %%doc section
- Hack for builded docs

* Sun Mar 5 2011 Pavel Zhukov <landgraf@fedoraproject.com> - 2010-5
- Rebuild for new xmlada

* Sun Feb 20 2011 Pavel Zhukov <landgraf@fedoraproject.com> - 2010-4
- Fix gnat optflags
- Fix project dirname

* Mon Feb 7 2011 Pavel Zhukov <landgraf@fedoraproject.com> - 2010-3
- Fix issue with GCC output (change regexp)

* Sun Feb 6 2011 Pavel Zhukov <landgraf@fedoraproject.com> - 2010-2
- Add devel package

* Fri Feb 4 2011 Pavel Zhukov <landgraf@fedoraproject.com> - 2010-1
- Initial package
